Index: linux-3.3.5/include/linux/ext2_fs.h
===================================================================
--- linux-3.3.5.orig/include/linux/ext2_fs.h	2012-05-12 05:49:43.555033434 -0400
+++ linux-3.3.5/include/linux/ext2_fs.h	2012-05-12 05:51:01.895033564 -0400
@@ -209,7 +209,11 @@
 #define EXT2_OTHER_FLMASK (EXT2_NODUMP_FL | EXT2_NOATIME_FL)
 
 /* Mask out flags that are inappropriate for the given type of inode. */
+#ifdef __KERNEL__
 static inline __u32 ext2_mask_flags(umode_t mode, __u32 flags)
+#else
+static inline __u32 ext2_mask_flags(unsigned short mode, __u32 flags)
+#endif
 {
 	if (S_ISDIR(mode))
 		return flags;
@@ -219,6 +223,7 @@
 		return flags & EXT2_OTHER_FLMASK;
 }
 
+
 /*
  * ioctl commands
  */
